ruby-websocket-driver_0.6.3-2build1_i386.deb


Advertisement

Description

ruby-websocket-driver - WebSocket protocol handler with pluggable I/O

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-websocket-driver
Package version: 0.6.3
Package release: 2build1
Package architecture: i386
Package type: deb
Installed size: 87 B
Download size: 20.18 KB
Official Mirror: archive.ubuntu.com
This module provides a complete implementation of the WebSocket protocols that can be hooked up to any TCP library. It aims to simplify things by decoupling the protocol details from the I/O layer, such that users only need to implement code to stream data in and out of it without needing to know anything about how the protocol actually works. Think of it as a complete WebSocket system with pluggable I/O.

Alternatives

    Download

    Source package: ruby-websocket-driver

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-websocket-driver deb package:
      # sudo apt-get install ruby-websocket-driver

    Files

    • /usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.3.0/websocket_mask.so
    • /usr/lib/ruby/vendor_ruby/websocket/driver.rb
    • /usr/lib/ruby/vendor_ruby/websocket/http.rb
    • /usr/lib/ruby/vendor_ruby/websocket/websocket_mask.rb
    • /usr/lib/ruby/vendor_ruby/websocket/driver/client.rb
    • /usr/lib/ruby/vendor_ruby/websocket/driver/draft75.rb
    • /usr/lib/ruby/vendor_ruby/websocket/driver/draft76.rb
    • /usr/lib/ruby/vendor_ruby/websocket/driver/event_emitter.rb
    • /usr/lib/ruby/vendor_ruby/websocket/driver/headers.rb
    • /usr/lib/ruby/vendor_ruby/websocket/driver/hybi.rb
    • /usr/lib/ruby/vendor_ruby/websocket/driver/proxy.rb
    • /usr/lib/ruby/vendor_ruby/websocket/driver/server.rb
    • /usr/lib/ruby/vendor_ruby/websocket/driver/stream_reader.rb
    • /usr/lib/ruby/vendor_ruby/websocket/driver/utf8_match.rb
    • /usr/lib/ruby/vendor_ruby/websocket/driver/hybi/frame.rb
    • /usr/lib/ruby/vendor_ruby/websocket/driver/hybi/message.rb
    • /usr/lib/ruby/vendor_ruby/websocket/http/headers.rb
    • /usr/lib/ruby/vendor_ruby/websocket/http/request.rb
    • /usr/lib/ruby/vendor_ruby/websocket/http/response.rb
    • /usr/share/doc/ruby-websocket-driver/README.md.gz
    • /usr/share/doc/ruby-websocket-driver/changelog.Debian.gz
    • /usr/share/doc/ruby-websocket-driver/copyright
    • /usr/share/rubygems-integration/2.3.0/specifications/websocket-driver-0.6.3.gemspec

    Changelog

    2016-03-13 - Matthias Klose <doko@ubuntu.com> ruby-websocket-driver (0.6.3-2build1) xenial; urgency=medium * No-change rebuild for ruby2.3-only support.

    2016-03-08 - Christian Hofstaedtler <zeha@debian.org> ruby-websocket-driver (0.6.3-2) unstable; urgency=medium * Team upload. [ Christian Hofstaedtler ] * Drop old style debug package. * Refresh packaging using dh-make-ruby -w. [ Cédric Boutillier ] * Bump debhelper compatibility level to 9 * Use https:// in Vcs-* fields * Bump Standards-Version to 3.9.7 (no changes needed) * Run wrap-and-sort on packaging files [ Hleb Valoshka ] * Add ruby-websocket-extensions to dependencies (Closes: #816882)

    2016-01-06 - Andrew Lee (李健秋) <andrew.lee@collabora.co.uk> ruby-websocket-driver (0.6.3-1) unstable; urgency=medium * Initial release (Closes: #797160)

    Advertisement
    Advertisement